texstudio

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
User avatar
francois
Contributor
Contributor
Posts: 6438
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

texstudio

Post#76 by francois » 16 Oct 2023, 01:29

@rych:
Error message even with qpdf and additionnal libraries hunspell-1.7.0-x86_64-1 and quazip-1.1-x86_64-3:

Code: Select all

Info: creating stash file /tmp/SBo/texstudio-4.0.2/.qmake.stash
Project MESSAGE: Building with Qt 5.15.3
Project MESSAGE: Static hunspell
Project MESSAGE: Static quazip5
Project MESSAGE: Creating release version
Project MESSAGE: tests are disabled
Project ERROR: poppler-qt5 development package not found

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Prendre son temps, profiter de celui qui passe.

rych
Warlord
Warlord
Posts: 685
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 5.0 x64 OpenBox
Location: NZ
Contact:

texstudio

Post#77 by rych » 16 Oct 2023, 06:26

francois, why are you addressing me when trying to build (?) a very old version of texstudio? I provided the latest texstudio 4.7 with some missing run-time dependencies in my post above texstudio (Post by rych #96428)

User avatar
Rava
Contributor
Contributor
Posts: 5424
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.01 x86_64 + 4.0 i586
Location: Forests of Germany

texstudio

Post#78 by Rava » 16 Oct 2023, 06:34

rych wrote:
16 Oct 2023, 06:26
I provided the latest texstudio 4.7 with some missing run-time dependencies in my post above texstudio (Post by rych #96428)
Can you provide us with a link that works without using an Telegram account, please?
E.g. for folks like him:
Vic wrote:
15 Oct 2023, 17:33
Telegram seem to only be for a phone unless I missed something, as usual.

I do not have a phone.
See also this thread on telegram issues in general: Telegram questions
Cheers!
Yours Rava

User avatar
francois
Contributor
Contributor
Posts: 6438
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

texstudio

Post#79 by francois » 16 Oct 2023, 11:42

I have tried the telegram link too. It does not work for me.
Prendre son temps, profiter de celui qui passe.

rych
Warlord
Warlord
Posts: 685
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 5.0 x64 OpenBox
Location: NZ
Contact:

texstudio

Post#80 by rych » 28 Dec 2023, 13:13


User avatar
Rava
Contributor
Contributor
Posts: 5424
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.01 x86_64 + 4.0 i586
Location: Forests of Germany

texstudio

Post#81 by Rava » 28 Dec 2023, 16:48

rych wrote:
28 Dec 2023, 13:13
A drop-in update texstudio_4.7.3-0~202312271818~ubuntu23.04.1_amd64.xzm
Still the same, cannot download it.
I see
texstudio_4.7.3-0~202312271818~ubuntu23.04.1_amd64.xzm
77 MB
as a link but clicking on it does nothing.
Cheers!
Yours Rava

beny
Full of knowledge
Full of knowledge
Posts: 2151
Joined: 02 Jan 2011, 11:33
Location: italy

texstudio

Post#82 by beny » 28 Dec 2023, 17:28

hi Rava, firefox give us a telegram page with the link for the download

User avatar
Rava
Contributor
Contributor
Posts: 5424
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.01 x86_64 + 4.0 i586
Location: Forests of Germany

texstudio

Post#83 by Rava » 30 Dec 2023, 03:25

beny wrote:
28 Dec 2023, 17:28
hi Rava, firefox give us a telegram page with the link for the download
You do not mean the "Download" link at the top right corner, because that's for downloading the telegram desktop client.
Cheers!
Yours Rava

beny
Full of knowledge
Full of knowledge
Posts: 2151
Joined: 02 Jan 2011, 11:33
Location: italy

texstudio

Post#84 by beny » 30 Dec 2023, 10:37

hi Rava you are right is a pity download something that need xdg-open and tell you wrong uri,ok i don't need it in my system i run the texstudio qt6 version and i am happy with it, ps:porteux current version 0.9

rych
Warlord
Warlord
Posts: 685
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 5.0 x64 OpenBox
Location: NZ
Contact:

texstudio

Post#85 by rych » 30 Dec 2023, 13:58

beny wrote:
30 Dec 2023, 10:37
i run the texstudio qt6 version and i am happy with it, ps:porteux current version 0.9
Hi beny: do you run texstudio .AppImage then? Because I guess you don't have the Qt6 on PorteuS/X ? If you do have a Qt6 subsystem as modules for PorteuS/X, I'd be asking you to share those please :)

rych
Warlord
Warlord
Posts: 685
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 5.0 x64 OpenBox
Location: NZ
Contact:

texstudio

Post#86 by rych » 10 Jun 2024, 14:32

rych wrote:
14 Oct 2023, 13:55
Good to know too that Ubuntu23 is compatible with Porteus in terms of GLIBC and GLIBCXX
Not anymore? Something is incompatible now. I took their upgrade texstudio_4.8.2-0~202406081517~ubuntu23.10.1_amd64.deb and turned it into xzm. Now,

Code: Select all

root@porteus:~# texstudio 
texstudio: /lib64/libm.so.6: version `GLIBC_2.38' not found (required by texstudio)
texstudio: /lib64/libc.so.6: version `GLIBC_2.38' not found (required by texstudio)
texstudio: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.32' not found (required by texstudio)
But Porteus does have GLIBC_2.38 only inside /lib and not /lib64

Code: Select all

root@porteus:~# ls -al /lib/libc*
-rwxr-xr-x 1 root root 2491696 Oct 14  2023 /lib/libc-2.38.so*
lrwxrwxrwx 1 root root      12 Dec 15 06:46 /lib/libc.so.6 -> libc-2.38.so*
-rwxr-xr-x 1 root root   63776 Oct 14  2023 /lib/libc_malloc_debug-2.38.so*
Whereas inside /lib64 is has a different GLIBC_2.35

Code: Select all

root@porteus:~# ls -al /lib64/libc*
-rwxr-xr-x 1 root root 2459320 Apr 29 16:28 /lib64/libc-2.35.so*
lrwxrwxrwx 1 root root      12 May 11 17:56 /lib64/libc.so.6 -> libc-2.35.so*
-rwxr-xr-x 1 root root   53896 May 11 17:59 /lib64/libc_malloc_debug-2.35.so*
Luckily Texstudio provides an AppImage, which is essentially same SquashFS technology as an .xzm module. It's just 125Mb instead of 80MB xzm (and 80Mb was already too big for an editor!) At the moment my time is more important than wasting an extra 45 Mb encapsulating same Qt5 I already have in my system etc.

I wonder though why I have both GLIBC_2.35 and GLIBC_2.38 and both /lib64 and /lib?!

UPDATE:
OK, they are part of these modules:

Code: Select all

/mnt/live/memory/images/001-core.xzm/lib64/libc-2.35.so
/mnt/live/memory/images/0050-multilib-lite-current-20231214.xzm/lib/libc-2.38.so
The multilib module that I took from PorteuX projects is only relevant for 32bit through Wine? Doesn't have to match the 64 Glibc -- fine. Important, we always need to match the /lib64/libc-2.35

UPDATE:
texstudio_4.8.2-0~202406081517~ubuntu22.04.1_amd64.xzm Works! So now, it's the ubuntu22 that gives us compatible modules. Ubuntu23 has moved on to GLIBC_2.38. Porteus continues to gradually fall behind other distros as usual :)

Why can't we have multiple Glibc versions installed in the system I wonder? Why do we always have to match the specific one, /lib64/libc-2.35 in this case?

Post Reply